Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
PCSX2 + Ubuntu 11.04 amd64
#1
Trying to get pcsx2 working on ubuntu 11.04 without using the chroot method, followed this guide, but i am getting
Code:
scott@scott:/media/Storage2_80/Downloads/pcsx2-0.9.8-r4594-linux$ ./pcsx2
Interface is initializing.  Entering Pcsx2App::OnInit!
Applying operating system default language...
Command line parsing...
Command line parsed!

(pcsx2:12382): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/immodules/im-ibus.so: wrong ELF class: ELFCLASS64

(pcsx2:12382): Gtk-WARNING **: Loading IM context type 'ibus' failed

(pcsx2:12382): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/immodules/im-ibus.so: wrong ELF class: ELFCLASS64

(pcsx2:12382): Gtk-WARNING **: Loading IM context type 'ibus' failed

(pcsx2:12382): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/immodules/im-ibus.so: wrong ELF class: ELFCLASS64

(pcsx2:12382): Gtk-WARNING **: Loading IM context type 'ibus' failed

(pcsx2:12382): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/immodules/im-ibus.so: wrong ELF class: ELFCLASS64

(pcsx2:12382): Gtk-WARNING **: Loading IM context type 'ibus' failed

(pcsx2:12382): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/immodules/im-ibus.so: wrong ELF class: ELFCLASS64

(pcsx2:12382): Gtk-WARNING **: Loading IM context type 'ibus' failed

(pcsx2:12382): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/immodules/im-ibus.so: wrong ELF class: ELFCLASS64

(pcsx2:12382): Gtk-WARNING **: Loading IM context type 'ibus' failed
/usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: wrong ELF class: ELFCLASS64

(pcsx2:12382): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so


(pcsx2:12382): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/immodules/im-ibus.so: wrong ELF class: ELFCLASS64

(pcsx2:12382): Gtk-WARNING **: Loading IM context type 'ibus' failed

(pcsx2:12382): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/immodules/im-ibus.so: wrong ELF class: ELFCLASS64

(pcsx2:12382): Gtk-WARNING **: Loading IM context type 'ibus' failed

(pcsx2:12382): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/immodules/im-ibus.so: wrong ELF class: ELFCLASS64

(pcsx2:12382): Gtk-WARNING **: Loading IM context type 'ibus' failed

(pcsx2:12382): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/immodules/im-ibus.so: wrong ELF class: ELFCLASS64

(pcsx2:12382): Gtk-WARNING **: Loading IM context type 'ibus' failed

(pcsx2:12382): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/immodules/im-ibus.so: wrong ELF class: ELFCLASS64

(pcsx2:12382): Gtk-WARNING **: Loading IM context type 'ibus' failed

(pcsx2:12382): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/immodules/im-ibus.so: wrong ELF class: ELFCLASS64

(pcsx2:12382): Gtk-WARNING **: Loading IM context type 'ibus' failed

(pcsx2:12382): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/immodules/im-ibus.so: wrong ELF class: ELFCLASS64

(pcsx2:12382): Gtk-WARNING **: Loading IM context type 'ibus' failed

(pcsx2:12382): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/immodules/im-ibus.so: wrong ELF class: ELFCLASS64

(pcsx2:12382): Gtk-WARNING **: Loading IM context type 'ibus' failed

(pcsx2:12382): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/immodules/im-ibus.so: wrong ELF class: ELFCLASS64

(pcsx2:12382): Gtk-WARNING **: Loading IM context type 'ibus' failed

(pcsx2:12382): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/immodules/im-ibus.so: wrong ELF class: ELFCLASS64

(pcsx2:12382): Gtk-WARNING **: Loading IM context type 'ibus' failed

(pcsx2:12382): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/immodules/im-ibus.so: wrong ELF class: ELFCLASS64

(pcsx2:12382): Gtk-WARNING **: Loading IM context type 'ibus' failed

(pcsx2:12382): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/immodules/im-ibus.so: wrong ELF class: ELFCLASS64

(pcsx2:12382): Gtk-WARNING **: Loading IM context type 'ibus' failed
/usr/lib/gio/modules/libgiobamf.so: wrong ELF class: ELFCLASS64
Failed to load module: /usr/lib/gio/modules/libgiobamf.so
/usr/lib/gio/modules/libgvfsdbus.so: wrong ELF class: ELFCLASS64
Failed to load module: /usr/lib/gio/modules/libgvfsdbus.so
/usr/lib/gio/modules/libgioremote-volume-monitor.so: wrong ELF class: ELFCLASS64
Failed to load module: /usr/lib/gio/modules/libgioremote-volume-monitor.so
/usr/lib/gio/modules/libgvfsdbus.so: wrong ELF class: ELFCLASS64
Failed to load module: /usr/lib/gio/modules/libgvfsdbus.so
/usr/lib/gio/modules/libgioremote-volume-monitor.so: wrong ELF class: ELFCLASS64
Failed to load module: /usr/lib/gio/modules/libgioremote-volume-monitor.so

(pcsx2:12382): Gtk-WARNING **: Error loading theme icon 'edit-find' for stock: Unable to load image-loading module: /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so: /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so: wrong ELF class: ELFCLASS64

(pcsx2:12382): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(pcsx2:12382): Gtk-CRITICAL **: gtk_default_render_icon: assertion `base_pixbuf != NULL' failed

(pcsx2:12382): Gtk-CRITICAL **: IA__gtk_style_render_icon: assertion `pixbuf != NULL' failed

(pcsx2:12382): GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT (object)' failed

(pcsx2:12382): Gtk-WARNING **: Error loading theme icon 'text-x-generic' for stock: Unable to load image-loading module: /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so: /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so: wrong ELF class: ELFCLASS64

(pcsx2:12382): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(pcsx2:12382): Gtk-CRITICAL **: gtk_default_render_icon: assertion `base_pixbuf != NULL' failed

(pcsx2:12382): Gtk-CRITICAL **: IA__gtk_style_render_icon: assertion `pixbuf != NULL' failed

(pcsx2:12382): GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT (object)' failed
/usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: wrong ELF class: ELFCLASS64

(pcsx2:12382): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so


(pcsx2:12382): Gtk-WARNING **: Error loading theme icon 'edit-find' for stock: Unable to load image-loading module: /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so: /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so: wrong ELF class: ELFCLASS64

(pcsx2:12382): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

** (pcsx2:12382): CRITICAL **: murrine_style_draw_render_icon: assertion `base_pixbuf != NULL' failed

(pcsx2:12382): Gtk-CRITICAL **: IA__gtk_style_render_icon: assertion `pixbuf != NULL' failed

(pcsx2:12382): GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT (object)' failed

(pcsx2:12382): Gtk-WARNING **: Error loading theme icon 'text-x-generic' for stock: Unable to load image-loading module: /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so: /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so: wrong ELF class: ELFCLASS64

(pcsx2:12382): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

** (pcsx2:12382): CRITICAL **: murrine_style_draw_render_icon: assertion `base_pixbuf != NULL' failed

(pcsx2:12382): Gtk-CRITICAL **: IA__gtk_style_render_icon: assertion `pixbuf != NULL' failed

(pcsx2:12382): GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT (object)' failed

(pcsx2:12382): Gtk-WARNING **: Error loading theme icon 'edit-find' for stock: Unable to load image-loading module: /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so: /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so: wrong ELF class: ELFCLASS64

(pcsx2:12382): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

** (pcsx2:12382): CRITICAL **: murrine_style_draw_render_icon: assertion `base_pixbuf != NULL' failed

(pcsx2:12382): Gtk-CRITICAL **: IA__gtk_style_render_icon: assertion `pixbuf != NULL' failed
and i don't know what to do.
Reply

Sponsored links

#2
Did you install i32-libs* packages? Did you properly extract wxwidget libraries ?
You can run
ldd pcsx2 | grep libwx
ldd pcsx2 | grep gtk
Then check that the returned value are 32bits.
Reply
#3
ldd pcsx2 | grep libwx
Code:
    libwx_baseu-2.8.so.0 => /usr/lib32/libwx_baseu-2.8.so.0 (0xf7672000)
    libwx_gtk2u_core-2.8.so.0 => /usr/lib32/libwx_gtk2u_core-2.8.so.0 (0xf72e0000)
    libwx_gtk2u_adv-2.8.so.0 => /usr/lib32/libwx_gtk2u_adv-2.8.so.0 (0xf721a000)
ldd pcsx2 | grep gtk
Code:
    libwx_gtk2u_core-2.8.so.0 => /usr/lib32/libwx_gtk2u_core-2.8.so.0 (0xf72d7000)
    libwx_gtk2u_adv-2.8.so.0 => /usr/lib32/libwx_gtk2u_adv-2.8.so.0 (0xf7211000)
    libgtk-x11-2.0.so.0 => /usr/lib32/libgtk-x11-2.0.so.0 (0xf6c80000)
Reply
#4
Which package do you extract when you followed your guide ? Normally you only need libglew, libwx*, nvidia-cg-toolkit and portaudio2. For the others there are provided by lib32* packages in your distribution.

It seems, you load various 64 bits library which is bad. Just to be sure "ldd pcsx2 | grep -v lib32" must return no so
Reply
#5
I have had the WRONG ELFCLASS problem with several emulators and other programs, and despite of several attempts and various guides haven't been able to fix them.

You could do the same thing I did with this, that is, run the program with wine. If your computer is powerful enough, it should work just fine.
Reply
#6
That an interesting solution, a bit overkill but interesting. By the way it would be easier with futur version of ubuntu (oneiric) and debian. They now support multiarch so you install any architecture package in any system. After enabling multiarch, you will be able to install i386 package as simple as:
Code:
apt-get install libgl1-mesa-glx:i386

Note: as of today only "few" package support multiarch, but new packages are convert every day so it only a matter of time.
Reply




Users browsing this thread: 1 Guest(s)